VERSION 5.00
Begin VB.Form FrmDesign 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Form Design"
   ClientHeight    =   2325
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4050
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2325
   ScaleWidth      =   4050
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox Check1 
      Caption         =   "Design Mode"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   120
      Width           =   1335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Not Clicked"
      Height          =   615
      Left            =   1080
      TabIndex        =   0
      Top             =   960
      Width           =   1575
   End
End
Attribute VB_Name = "FrmDesign"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'###########################################
'# Info                                    #
'#                                         #
'# Creator: ChiChis                        #
'# Date: Jan. 29, 2000                     #
'# Made with help/example from: RAW        #
'###########################################
'# Description                             #
'#                                         #
'# This example shows you how to give the  #
'# user the ability to move controls at    #
'# runtime with ease.  Shows click and     #
'# drag AND a keyboard approach to moving. #
'###########################################
'# How To Use                              #
'#                                         #
'# You'll have to put the codes in all the #
'# controls you wish to allow movement.    #
'# You also MUST make sure that it checks  #
'# to see if in design mode before         #
'# executing any code in buttons etc. or   #
'# else it will do the code in design      #
'# mode.                                   #
'###########################################

'Variable stuff
Option Explicit
Dim XPlus As Integer, YPlus As Integer, MoveLength As Integer

Private Sub Command1_Click()
    'The button will do the Click event even
    'in design mode, here we account for it.
    If Check1.Value = 0 Then
        Command1.Caption = "Clicked"
    End If
End Sub

Private Sub Command1_KeyDown(KeyCode As Integer, Shift As Integer)
    'Only do it if we're in design mode
    'This will only work if the button is selected
    If Check1.Value = 1 Then
        Select Case KeyCode
        Case 97
            'Pressed "1" on keypad
            Command1.Move Command1.Left - (15 * MoveLength), Command1.Top + (15 * MoveLength)
        Case 98
            'Pressed "2" on keypad
            Command1.Top = Command1.Top + (15 * MoveLength)
        Case 99
            'Pressed "3" on keypad
            Command1.Move Command1.Left + (15 * MoveLength), Command1.Top + (15 * MoveLength)
        Case 100
            'Pressed "4" on keypad
            Command1.Left = Command1.Left - (15 * MoveLength)
        Case 101
            'Pressed "5" on keypad
            'This is a bit differerent from the rest
            'It will change the amount that the button
            'moves each time.  Allows for bigger moves.
            If MoveLength = 1 Then
                MoveLength = 4
            ElseIf MoveLength = 4 Then
                MoveLength = 8
            Else
                MoveLength = 1
            End If
        Case 102
            'Pressed "6" on keypad
            Command1.Left = Command1.Left + (15 * MoveLength)
        Case 103
            'Pressed "7" on keypad
            Command1.Move Command1.Left - (15 * MoveLength), Command1.Top - (15 * MoveLength)
        Case 104
            'Pressed "8" on keypad
            Command1.Top = Command1.Top - (15 * MoveLength)
        Case 105
            'Pressed "9" on keypad
            Command1.Move Command1.Left + (15 * MoveLength), Command1.Top - (15 * MoveLength)
        End Select
    End If
End Sub

Private Sub Command1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'Check if in design mode
    If Check1.Value = 1 Then
        'In design mode, get original coordinates
        If Button = 1 Then
            XPlus = X
            YPlus = Y
            'Start Dragging
            Command1.Drag
        End If
    End If
End Sub

Private Sub Form_DragDrop(Source As Control, X As Single, Y As Single)
    'Happens on mouse up after dragging
    Source.Move X - XPlus, Y - YPlus
End Sub

Private Sub Form_Load()
    'Set original amount of Move for the keypad
    MoveLength = 1
End Sub

